<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#searchAttraction(java.lang.String)">searchAttraction(String)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Get the attraction with the indicated identifier</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#searchStatisticForYear(int)">searchStatisticForYear(int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Search and return the statistics record for the indicated year</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#searchStatisticForYear(int,java.lang.String)">searchStatisticForYear(int, String)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Search and return the statistics record for the indicated attraction and year</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Season.html#season">season</a></span> - Variable in class ticket.<a href="../ticket/Season.html" title="class in ticket">Season</a></dt>
<dd>
<div class="block">Store the Season</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#season">season</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Selected season</div>
</dd>
<dt><a href="../ticket/Season.html" title="class in ticket"><span class="typeNameLink">Season</span></a> - Class in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ticket/Season.html#%3Cinit%3E()">Season()</a></span> - Constructor for class ticket.<a href="../ticket/Season.html" title="class in ticket">Season</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../ticket/SeasonEnum.html" title="enum in ticket"><span class="typeNameLink">SeasonEnum</span></a> - Enum in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>
<div class="block">List of possible seasons and the supplement variation</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SeasonEnum.html#%3Cinit%3E(java.lang.String,double)">SeasonEnum(String, double)</a></span> - Constructor for enum ticket.<a href="../ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#SENIOR">SENIOR</a></span> - ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ticket/SourceEnum.html#serie">serie</a></span> - Variable in enum ticket.<a href="../ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></dt>
<dd>
<div class="block">Id for source</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#setAge(int)">setAge(int)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Set the age and group for the person</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#setDate(java.time.LocalDate)">setDate(LocalDate)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Set ticket entry date
 Establishes the season according to the informed date</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#setHeight(int)">setHeight(int)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Set the height for the person</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#setMarginTop(boolean)">setMarginTop(boolean)</a></span> - Method in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Set the previous margin</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Season.html#setSeasonDate(java.time.LocalDate)">setSeasonDate(LocalDate)</a></span> - Method in class ticket.<a href="../ticket/Season.html" title="class in ticket">Season</a></dt>
<dd>
<div class="block">Establishes the season according to the informed date</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#setSource(ticket.SourceEnum)">setSource(SourceEnum)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Set Place of origin from which the ticket was issued</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#setStatistics(controller.StatisticsController)">setStatistics(StatisticsController)</a></span> - Method in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Establishes the link with the statistics controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#setStatistics(controller.StatisticsController)">setStatistics(StatisticsController)</a></span> - Method in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Establishes the link with the statistics controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#setStatus(int,boolean)">setStatus(int, boolean)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Establishes the state for the day of the indicated year</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#setStatus(java.time.LocalDate,boolean)">setStatus(LocalDate, boolean)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Set the status for the indicated date</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#setStatus(java.time.LocalDate,java.time.LocalDate,boolean)">setStatus(LocalDate, LocalDate, boolean)</a></span> - Method in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Set the status for the indicated period</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#setVipSupplement(boolean)">setVipSupplement(boolean)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Set or remove the preferred pass or vip pass for the group</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#source">source</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Place of origin from which the ticket was issued</div>
</dd>
<dt><a href="../ticket/SourceEnum.html" title="enum in ticket"><span class="typeNameLink">SourceEnum</span></a> - Enum in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>
<div class="block">List of possible origins of ticket sales</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SourceEnum.html#%3Cinit%3E(java.lang.String,java.lang.String)">SourceEnum(String, String)</a></span> - Constructor for enum ticket.<a href="../ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../staff/package-summary.html">staff</a> - package staff</dt>
<dd>&nbsp;</dd>
<dt><a href="../staff/Staff.html" title="class in staff"><span class="typeNameLink">Staff</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>
<div class="block">Classe to calculate personnel costs for an attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/Staff.html#%3Cinit%3E()">Staff()</a></span> - Constructor for class staff.<a href="../staff/Staff.html" title="class in staff">Staff</a></dt>
<dd>
<div class="block">Contructor</div>
</dd>
<dt><a href="../staff/StaffAssistantAttraction.html" title="class in staff"><span class="typeNameLink">StaffAssistantAttraction</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffAssistantAttraction.html#%3Cinit%3E()">StaffAssistantAttraction()</a></span> - Constructor for class staff.<a href="../staff/StaffAssistantAttraction.html" title="class in staff">StaffAssistantAttraction</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../staff/StaffBase.html" title="class in staff"><span class="typeNameLink">StaffBase</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#%3Cinit%3E()">StaffBase()</a></span> - Constructor for class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../staff/StaffCustomerSupport.html" title="class in staff"><span class="typeNameLink">StaffCustomerSupport</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffCustomerSupport.html#%3Cinit%3E()">StaffCustomerSupport()</a></span> - Constructor for class staff.<a href="../staff/StaffCustomerSupport.html" title="class in staff">StaffCustomerSupport</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/Staff.html#staffList">staffList</a></span> - Variable in class staff.<a href="../staff/Staff.html" title="class in staff">Staff</a></dt>
<dd>
<div class="block">list of staff dependent on the base staff number</div>
</dd>
<dt><a href="../staff/StaffManagerAttraction.html" title="class in staff"><span class="typeNameLink">StaffManagerAttraction</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffManagerAttraction.html#%3Cinit%3E()">StaffManagerAttraction()</a></span> - Constructor for class staff.<a href="../staff/StaffManagerAttraction.html" title="class in staff">StaffManagerAttraction</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../staff/StaffPublicRelation.html" title="class in staff"><span class="typeNameLink">StaffPublicRelation</span></a> - Class in <a href="../staff/package-summary.html">staff</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffPublicRelation.html#%3Cinit%3E()">StaffPublicRelation()</a></span> - Constructor for class staff.<a href="../staff/StaffPublicRelation.html" title="class in staff">StaffPublicRelation</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/package-summary.html">statistics</a> - package statistics</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/AttractionController.html#statistics">statistics</a></span> - Variable in class controller.<a href="../controller/AttractionController.html" title="class in controller">AttractionController</a></dt>
<dd>
<div class="block">Link to statistics controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketController.html#statistics">statistics</a></span> - Variable in class controller.<a href="../controller/TicketController.html" title="class in controller">TicketController</a></dt>
<dd>
<div class="block">Link to statistics controller</div>
</dd>
<dt><a href="../controller/StatisticsController.html" title="class in controller"><span class="typeNameLink">StatisticsController</span></a> - Class in <a href="../controller/package-summary.html">controller</a></dt>
<dd>
<div class="block">Controller of the statistics of the application</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#%3Cinit%3E()">StatisticsController()</a></span> - Constructor for class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/StatisticsReport.html" title="class in statistics"><span class="typeNameLink">StatisticsReport</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Class for report the assistance statistics of the park</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/StatisticsReport.html#%3Cinit%3E()">StatisticsReport()</a></span> - Constructor for class statistics.<a href="../statistics/StatisticsReport.html" title="class in statistics">StatisticsReport</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#status">status</a></span> - Variable in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Indicator of the state of attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#status">status</a></span> - Variable in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Link to attraction status</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#STUDENT">STUDENT</a></span> - ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#supplement">supplement</a></span> - Variable in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Percentage supplement to apply</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SeasonEnum.html#supplement">supplement</a></span> - Variable in enum ticket.<a href="../ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></dt>
<dd>
<div class="block">Percentage supplement to apply</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
